Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb
Interface EJBDeployerMBean

All Superinterfaces:
  org.jboss.system.Service, org.jboss.system.ServiceMBean, org.jboss.deployment.SubDeployerMBean

All Known Implementing Classes:
  EJBDeployer

public interface EJBDeployerMBean
extends org.jboss.deployment.SubDeployerMBean

MBean interface.

See Also:
  `Container`

Field Summary
`static javax.management.ObjectName` | `OBJECT_NAME`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Method Summary
`boolean` | `getStrictVerifier()` Returns the mode of the bean verifier (strict/non-strict mode)
`javax.management.ObjectName` | `getTransactionManagerServiceName()` Get the TransactionManagerServiceName value.
`boolean` | `getValidateDTDs()` Get the flag indicating that ejb-jar.dtd, jboss.dtd & jboss-web.dtd conforming documents should be validated against the DTD.
`boolean` | `getVerifierVerbose()` Returns the state of the bean verifier (verbose/non-verbose mode)
`boolean` | `getVerifyDeployments()` Returns the state of bean verifier (on/off)
`javax.management.ObjectName` | `getWebServiceName()` Get the WebServiceName value.
`boolean` | `isCallByValue()`
`boolean` | `isMetricsEnabled()` Checks if this container factory initializes the metrics interceptor.
`Iterator` | `listDeployedApplications()` Returns the deployed applications.
`void` | `setCallByValue(boolean callByValue)`
`void` | `setMetricsEnabled(boolean enable)` Enables/disables the metrics interceptor for containers.
`void` | `setStrictVerifier(boolean strictVerifier)` Enables/disables the strict mode on the verifier.
`void` | `setTransactionManagerServiceName(javax.management.ObjectName transactionManagerServiceName)` Set the TransactionManagerServiceName value.
`void` | `setValidateDTDs(boolean validate)` Set the flag indicating that ejb-jar.dtd, jboss.dtd & jboss-web.dtd conforming documents should be validated against the DTD.
`void` | `setVerifierVerbose(boolean verbose)` Enables/disables the verbose mode on the verifier.
`void` | `setVerifyDeployments(boolean verify)` Enables/disables the application bean verification upon deployment.
`void` | `setWebServiceName(javax.management.ObjectName webServiceName)` Set the WebServiceName value.

Methods inherited from interface org.jboss.deployment.SubDeployerMBean
`accepts, create, destroy, getRelativeOrder, getSuffixes, init, setRelativeOrder, setSuffixes, start, stop`

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Field Detail

### OBJECT_NAME

    public static final javax.management.ObjectName OBJECT_NAME

Method Detail

### isCallByValue

    public boolean isCallByValue()

### setCallByValue

    public void setCallByValue(boolean callByValue)

### listDeployedApplications

    public Iterator listDeployedApplications()

  Returns the deployed applications.

### setVerifyDeployments

    public void setVerifyDeployments(boolean verify)

  Enables/disables the application bean verification upon deployment.

  Parameters:
    `verify` - true to enable; false to disable

### getVerifyDeployments

    public boolean getVerifyDeployments()

  Returns the state of bean verifier (on/off)

  Returns:
    true if enabled; false otherwise

### setVerifierVerbose

    public void setVerifierVerbose(boolean verbose)

  Enables/disables the verbose mode on the verifier.

  Parameters:
    `verbose` - true to enable; false to disable

### getVerifierVerbose

    public boolean getVerifierVerbose()

  Returns the state of the bean verifier (verbose/non-verbose mode)

  Returns:
    true if enabled; false otherwise

### setStrictVerifier

    public void setStrictVerifier(boolean strictVerifier)

  Enables/disables the strict mode on the verifier.

  Parameters:
    `strictVerifier` - `true` to enable; `false` to disable

### getStrictVerifier

    public boolean getStrictVerifier()

  Returns the mode of the bean verifier (strict/non-strict mode)

  Returns:
    `true` if the Verifier is in strict mode, `false` otherwise

### setMetricsEnabled

    public void setMetricsEnabled(boolean enable)

  Enables/disables the metrics interceptor for containers.

  Parameters:
    `enable` - true to enable; false to disable

### isMetricsEnabled

    public boolean isMetricsEnabled()

  Checks if this container factory initializes the metrics interceptor.

  Returns:
    true if metrics are enabled; false otherwise

### getValidateDTDs

    public boolean getValidateDTDs()

  Get the flag indicating that ejb-jar.dtd, jboss.dtd & jboss-web.dtd conforming documents should be validated against the DTD.

### setValidateDTDs

    public void setValidateDTDs(boolean validate)

  Set the flag indicating that ejb-jar.dtd, jboss.dtd & jboss-web.dtd conforming documents should be validated against the DTD.

### getWebServiceName

    public javax.management.ObjectName getWebServiceName()

  Get the WebServiceName value.

  Returns:
    the WebServiceName value.

### setWebServiceName

    public void setWebServiceName(javax.management.ObjectName webServiceName)

  Set the WebServiceName value.

  Parameters:
    `webServiceName` - The new WebServiceName value.

### getTransactionManagerServiceName

    public javax.management.ObjectName getTransactionManagerServiceName()

  Get the TransactionManagerServiceName value.

  Returns:
    the TransactionManagerServiceName value.

### setTransactionManagerServiceName

    public void setTransactionManagerServiceName(javax.management.ObjectName transactionManagerServiceName)

  Set the TransactionManagerServiceName value.

  Parameters:
    `transactionManagerServiceName` - The new TransactionManagerServiceName value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.